Liquidation Metrics
curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metricsimport requests
url = "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAssetSymbol": "USDC",
"interval": "5m",
"startTime": 1,
"endTime": 1,
"buckets": [
{
"bucketStart": 1736742000000,
"long": {
"eventCount": 12,
"positionSize": "3.75",
"markNotional": "358163.4375"
},
"short": {
"eventCount": 12,
"positionSize": "3.75",
"markNotional": "358163.4375"
}
}
]
}Market
Liquidation Metrics
UTC-aligned long/short liquidation totals for a bounded market time range.
GET
/
api
/
v1
/
market
/
pairs
/
{tradingPairId}
/
liquidation-metrics
Liquidation Metrics
curl --request GET \
--url https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metricsimport requests
url = "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics")
.asString();require 'uri'
require 'net/http'
url = URI("https://staging.apimonaco.xyz/api/v1/market/pairs/{tradingPairId}/liquidation-metrics")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"tradingPairId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoteAssetSymbol": "USDC",
"interval": "5m",
"startTime": 1,
"endTime": 1,
"buckets": [
{
"bucketStart": 1736742000000,
"long": {
"eventCount": 12,
"positionSize": "3.75",
"markNotional": "358163.4375"
},
"short": {
"eventCount": 12,
"positionSize": "3.75",
"markNotional": "358163.4375"
}
}
]
}Path Parameters
Query Parameters
Start time as Unix timestamp (milliseconds)
Required range:
0 <= x <= 4102444800000End time as Unix timestamp (milliseconds)
Required range:
0 <= x <= 4102444800000Response
OK
Populated UTC-aligned buckets of long/short liquidation totals. Buckets with no events on either side are omitted.
Trading pair UUID
Quote asset denomination for mark notionals; no USD FX conversion
Example:
"USDC"
UTC-aligned bucket size
Example:
"5m"
Inclusive selected range start as Unix milliseconds
Required range:
x >= 0Exclusive selected range end as Unix milliseconds
Required range:
x >= 0Populated UTC-aligned buckets; intervals with no events are omitted.
Show child attributes
Show child attributes
Was this page helpful?

